<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class LegalController extends AbstractController
{
    #[Route('/mentions-legales', name: 'app_mentions_legales')]
    public function mentionsLegales(): Response
    {
        return $this->render('legal/mentions_legales.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'Mentions legales', 'url' => '/mentions-legales'],
            ],
        ]);
    }

    #[Route('/cgu', name: 'app_cgu')]
    public function cgu(): Response
    {
        return $this->render('legal/cgu.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'CGU', 'url' => '/cgu'],
            ],
        ]);
    }

    #[Route('/cgv', name: 'app_cgv')]
    public function cgv(): Response
    {
        return $this->render('legal/cgv.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'CGV', 'url' => '/cgv'],
            ],
        ]);
    }

    #[Route('/hebergement', name: 'app_hosting')]
    public function hosting(): Response
    {
        return $this->render('legal/hosting.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'Hebergement', 'url' => '/hebergement'],
            ],
        ]);
    }

    #[Route('/cookies', name: 'app_cookies')]
    public function cookies(): Response
    {
        return $this->render('legal/cookies.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'Politique de cookies', 'url' => '/cookies'],
            ],
        ]);
    }

    #[Route('/rgpd', name: 'app_rgpd')]
    public function rgpd(): Response
    {
        return $this->render('legal/rgpd.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'Politique RGPD', 'url' => '/rgpd'],
            ],
        ]);
    }

    #[Route('/conformite', name: 'app_conformite')]
    public function conformite(): Response
    {
        return $this->render('legal/conformite.html.twig', [
            'breadcrumbs' => [
                ['name' => 'Accueil', 'url' => '/'],
                ['name' => 'Conformite', 'url' => '/conformite'],
            ],
        ]);
    }
}
